package org.bench4q.share.models.master;

import java.util.Date;
import java.util.List;
import java.util.UUID;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

import org.bench4q.share.enums.master.TestPlanStatus;

@XmlRootElement(name = "RunTestPlanResultModel")
public class TestPlanResultModel {
	private String testPlanName;
	private UUID testPlanId;
	private long executeTime;
	private TestPlanStatus currentStatus;
	private List<ScriptHandleModel> scripts;
	private List<MonitorModel> monitorModels;
	private Date createDateTime;

	@XmlElement(name = "testPlanName")
	public String getTestPlanName() {
		return testPlanName;
	}

	public void setTestPlanName(String testPlanName) {
		this.testPlanName = testPlanName;
	}

	@XmlElement(name = "executeTime")
	public long getExecuteTime() {
		return executeTime;
	}

	public void setExecuteTime(long executeTime) {
		this.executeTime = executeTime;
	}

	@XmlElement(name = "testPlanId")
	public UUID getTestPlanId() {
		return testPlanId;
	}

	public void setTestPlanId(UUID testPlanId) {
		this.testPlanId = testPlanId;
	}

	@XmlElement(name = "currentStatus")
	public TestPlanStatus getCurrentStatus() {
		return currentStatus;
	}

	public void setCurrentStatus(TestPlanStatus currentStatus) {
		this.currentStatus = currentStatus;
	}

	@XmlElementWrapper(name = "MonitorModelList")
	@XmlElement(name = "MonitorModel")
	public List<MonitorModel> getMonitorModels() {
		return monitorModels;
	}

	public void setMonitorModels(List<MonitorModel> monitorModels) {
		this.monitorModels = monitorModels;
	}

	@XmlElementWrapper(name = "scripts")
	@XmlElement(name = "script")
	public List<ScriptHandleModel> getScripts() {
		return scripts;
	}

	public void setScripts(List<ScriptHandleModel> scripts) {
		this.scripts = scripts;
	}

	@XmlElement(name = "createDateTime")
	public Date getCreateDateTime() {
		return createDateTime;
	}

	public void setCreateDateTime(Date createDateTime) {
		this.createDateTime = createDateTime;
	}

}
